> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Untag an entity

> Remove one or more tag assignments from an entity



## OpenAPI

````yaml /api-specs/cloud/taxonomy-api.yaml post /rpc/untag-entity
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Microservice responsible for managing the Domino Taxonomy feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Taxonomy Microservice API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /rpc/untag-entity:
    post:
      tags:
        - entity-tags
      summary: Untag an entity
      description: Remove one or more tag assignments from an entity
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.UntagEntityRequest'
        description: Untag entity request
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/taxonomy.UntagEntityResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.UntagEntityRequest:
      properties:
        entityId:
          type: string
        entityType:
          $ref: '#/components/schemas/taxonomy.EntityType'
        tagIds:
          items:
            type: string
          type: array
      required:
        - entityId
        - entityType
        - tagIds
      type: object
    taxonomy.UntagEntityResult:
      properties:
        entityId:
          type: string
        entityName:
          type: string
        entityType:
          $ref: '#/components/schemas/taxonomy.EntityType'
        removedTagIds:
          items:
            type: string
          type: array
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    taxonomy.EntityType:
      enum:
        - dataset
        - project
        - model
        - app
        - netapp_volume
      type: string
      x-enum-varnames:
        - EntityTypeDataset
        - EntityTypeProject
        - EntityTypeModel
        - EntityTypeApp
        - EntityTypeNetappVolume

````